Subject: [alpine-devel] [PATCH] testing/ncmpc: new aport

From: Peter Bui <[email-masked]>
Date: Sat, 23 Aug 2014 00:24:50 -0500

http://www.musicpd.org/clients/ncmpc/
Fully featured MPD client using ncurses
---
 testing/ncmpc/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/ncmpc/APKBUILD

diff --git a/testing/ncmpc/APKBUILD b/testing/ncmpc/APKBUILD
new file mode 100644
index 0000000..9f7bd3b
--- /dev/null
+++ b/testing/ncmpc/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Peter Bui <[email-masked]>
+# Maintainer:
+pkgname=ncmpc
+pkgver=0.24
+pkgrel=0
+pkgdesc="Fully featured MPD client using ncurses"
+url="http://www.musicpd.org/clients/ncmpc/"
+arch="all"
+license="GPL2"
+depends="ncurses glib libmpdclient"
+depends_dev="ncurses-dev glib-dev libmpdclient-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="http://www.musicpd.org/download/${pkgname}/0/${pkgname}-${pkgver}.tar.xz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$_builddir"
+	./configure \
+	    --prefix=/usr \
+	    --sysconfdir=/etc \
+	    --enable-lyrics-screen \
+	    --with-lyrics-plugin-dir=/usr/share/ncmpc/lyrics \
+	|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	for i in lyrics/*; do
+	    install -Dm755 "$i" "${pkgdir}/usr/share/ncmpc/$i" || return 1
+	done
+}
+
+md5sums="0717193f38446780372f2a8907316362  ncmpc-0.24.tar.xz"
+sha256sums="0e6f76b2b11449cfa479d2830ac681f4e3bff54a95a9134b069dd5a173b4c3e9  ncmpc-0.24.tar.xz"
+sha512sums="852bedec9d1e0f13748d00ded8a57b7824a3907fa4aef441cd016c13b3a4229e630957ee965d9f5cf7c1a0c47bfa3bb040058d32c6fcf6b4474acc57f834d929  ncmpc-0.24.tar.xz"
-- 
2.1.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---